#!/bin/sh
set -e

if [ -z "$1" ] ; then
  echo "Usage : $0 <fichier-PPD>"
  exit 1
fi
if ! test -e "$1" ; then
  echo "Fichier '$1' inexistant."
  exit 2
fi
if ! test -w "$1" ; then
  echo "Écriture impossible dans le fichier '$1'."
  exit 2
fi

sed -i \
  -e '/^\*DefaultOption19: /s|:.*$|: One|' \
  -e '/^\*DefaultPageSize: /s|:.*$|: Letter|' \
  -e '/^\*DefaultPageRegion: /s|:.*$|: Letter|' \
  -e '/^\*DefaultImageableArea: /s|:.*$|: Letter|' \
  -e '/^\*DefaultPaperDimension: /s|:.*$|: Letter|' \
  -e '/^\*DefaultInputSlot: /s|:.*$|: AUTO|' \
  -e '/^\*DefaultInputSlot: /a\
*InputSlot AUTO/Automatique: "<< /ManualFeed false >> setpagedevice statusdict begin 7 setpapertray end"' \
  -e '/^*KCStaple UpperRight\/Sup<E9>rieur Droit:/s/Droit:/gauche - paysage:/' \
  -e '/^*KCStaple Upperleft\/Sup<E9>rieur Gauche:/s/Gauche:/gauche - portrait:/' \
  "$1"

exit 0
